### Method

# ECal Client get_attachment_uris_sync

since: 3.2

#### Declaration [src]

    gboolean
    e_cal_client_get_attachment_uris_sync (
      ECalClient* client,
      const gchar* uid,
      const gchar* rid,
      GSList** out_attachment_uris,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Queries a calendar for a specified component’s object attachment URIs. The list should be freed with e_client_util_free_string_slist().

Available since: 3.2

#### Parameters

`uid`

  Type: `const gchar*`

  Unique identifier for a calendar component.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  Recurrence identifier.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_attachment_uris`

  Type: A list of `utf8`

  Return location for the list of attachment URIs.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.